import torch
import CTMeth


print(torch.__version__)  # thise code was tested with pytorch 1.13.1+cu117, windows 10
input("Press Enter to start a demo...")
project_settings_path = r"example_project_settings.yaml"
CTMeth.evaluate(project_settings_path)
CTMeth.heatmap(project_settings_path)
CTMeth.hiercluster(project_settings_path)
CTMeth.pca2d(project_settings_path)
CTMeth.pca3d(project_settings_path)

input("Press Enter to continue and open yaml generator...")
CTMeth.yaml_generator()

# this is cpg-gene-gene-cpg module
# to run this module you need to specify biogrid and annotation files in the project settings
# use CTMeth.download_databases(project_settings_path)# to download nessesary files
# CTMeth.gen_paths(project_settings_path)
# above uncomment to generate paths

# this is neural network training module
input("Press Enter to start training or ctrl+c to exit...")
training_settings_path = r"example_training_settings.yaml"
project_settings_path = r"example_project_settings.yaml"
# CTMeth.training(training_settings_path)
CTMeth.evaluate(project_settings_path, state_to_load="demo_training.pth")
